Bug 272281 - Ark does not handle properly directories inside rar archives
Summary: Ark does not handle properly directories inside rar archives
Status: RESOLVED FIXED
Alias: None
Product: ark
Classification: Unclassified
Component: general (show other bugs)
Version: 2.15
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Raphael Kubo da Costa
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2011-05-02 23:22 UTC by Jakub Schmidtke
Modified: 2011-05-26 06:06 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.6.4


Attachments
The file that demonstrates the problem. (212 bytes, application/octet-stream)
2011-05-02 23:22 UTC, Jakub Schmidtke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jakub Schmidtke 2011-05-02 23:22:46 UTC
Created attachment 59556 [details]
The file that demonstrates the problem.

Version:           2.15 (using KDE 4.6.2) 
OS:                Linux

When I open a rar archive that contains directories and I drag and drop the content of it somewhere, the resulting directory structure is messed up.
For example, if the original content of the archive is:
dir
dir/dir.txt
dir/a
dir/a/a.txt

and I drag and drop the 'dir' element to /tmp/test/, the resulting directory structure is:
test/
test/dir
test/dir/a
test/dir/a/dir
test/dir/a/dir/dir.txt
test/dir/a/dir/a
test/dir/a/dir/a/a.txt

This does not happen with zip files.


Reproducible: Always
Comment 1 Raphael Kubo da Costa 2011-05-24 05:40:46 UTC
Confirming, thanks.
Comment 2 Raphael Kubo da Costa 2011-05-24 05:53:46 UTC
Technical details in case someone wants to have a look at it: we currently call 'unrar -kb -p- x -apdir/ test.rar dir/a/ dir/a/a.txt'. For some weird reason, unrar does not like that trailing '/' at the end of "dir/a/". We need to strip it from the string (doing so from a plugin-specific method would be nice).
Comment 3 Raphael Kubo da Costa 2011-05-26 06:00:58 UTC
SVN commit 1233573 by rkcosta:

Remove trailing '/'s from directories passed to clirarplugin.

The proprietary unrar program does not accept directories with a
trailing slash when they are passed to it when extracting some files
(think drag'n'drop).

BUG: 272281
FIXED-IN: 4.6.4


 M  +12 -0     cliplugin.cpp  
 M  +2 -0      cliplugin.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1233573
Comment 4 Raphael Kubo da Costa 2011-05-26 06:03:48 UTC
SVN commit 1233577 by rkcosta:

Remove trailing '/'s from directories passed to clirarplugin.

The proprietary unrar program does not accept directories with a
trailing slash when they are passed to it when extracting some files
(think drag'n'drop).

Forwardport of r1233573.

CCBUG: 272281

 M  +12 -0     cliplugin.cpp  
 M  +2 -0      cliplugin.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1233577
Comment 5 Raphael Kubo da Costa 2011-05-26 06:06:10 UTC
SVN commit 1233579 by rkcosta:

Mention Ark bug 272281.

CCBUG: 272281


 M  +1 -0      changelog_branch_4_6.xml  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1233579